#define	XTAL		9.600e6
#define RC5TIME 	1.778e-3		// 1.778msec
#define PULSE_MIN	(unsigned char)(XTAL / 512 * RC5TIME * 0.4 + 0.5)
#define PULSE_1_2	(unsigned char)(XTAL / 512 * RC5TIME * 0.8 + 0.5)
#define PULSE_MAX	(unsigned char)(XTAL / 512 * RC5TIME * 1.2 + 0.5)

#define IR_PIN		PINB
#define IR_DDR		DDRB
#define IR			0

volatile unsigned char cyclecount;

unsigned char	rc5_bit;				// bit value
unsigned char	rc5_time;				// count bit time
unsigned int	rc5_tmp;				// shift bits in
volatile unsigned int	rc5_data;				// store result
